From 63c8e928cc877fe310276876e09b13c9337b00d3 Mon Sep 17 00:00:00 2001
From: Judit Foglszinger <urbec@debian.org>
Date: Sat, 21 Sep 2019 16:25:29 +0700
Subject: [PATCH] describe new process for emeritus

---
 source/developer-duties.rst | 37 +++++++++++++++++--------------------
 1 file changed, 17 insertions(+), 20 deletions(-)

diff --git a/source/developer-duties.rst b/source/developer-duties.rst
index 1a20790..0502029 100644
--- a/source/developer-duties.rst
+++ b/source/developer-duties.rst
@@ -237,21 +237,15 @@ Retiring
 If you choose to leave the Debian project, you should make sure you do
 the following steps:
 
-1. Orphan all your packages, as described in :ref:`orphaning`.
+-  Orphan all your packages, as described in :ref:`orphaning`.
+   Remove yourself from uploaders for co-maintained packages.
 
-2. Send an gpg-signed email announcing your retirement to
-   ``debian-private@lists.debian.org``.
+-  Use the link https://nm.debian.org/process/emeritus to log in to
+   nm.debian.org [2]_, request emeritus status and write a goodby
+   message that will be automatically posted on debian-private.
 
-3. Notify the Debian key ring maintainers that you are leaving by
-   opening a ticket in Debian RT by sending a mail to
-   ``keyring@rt.debian.org`` with the words "Debian RT" somewhere in the
-   subject line (case doesn't matter).
-
-4. If you received mails via a @debian.org e-mail alias (e.g.
-   press@debian.org) and would like to get removed, open a RT ticket for
-   the Debian System Administrators. Just send an e-mail to
-   ``admin@rt.debian.org`` with "Debian RT" somewhere in the subject
-   stating from which aliases you'd like to get removed.
+   This also automatically notifies the MIA team, so that they can
+   check if some of your packages still need orphaning.
 
 It is important that the above process is followed, because finding
 inactive developers and orphaning their packages takes significant time
@@ -263,22 +257,25 @@ Returning after retirement
 --------------------------------------------------------------------------------------------------------------------------------
 
 A retired developer's account is marked as "emeritus" when the process
-in :ref:`s3.7` is followed, and "disabled" otherwise. Retired
+in :ref:`s3.7` is followed, and "removed" otherwise. Retired
 developers with an "emeritus" account can get their account re-activated
 as follows:
 
--  Contact ``da-manager@debian.org``.
+-  Use the link https://nm.debian.org/wizard/process/return to log in to
+   nm.debian.org [2]_ and request to return from emeritus status.
 
 -  Go through a shortened NM process (to ensure that the returning
    developer still knows important parts of P&P and T&S).
 
--  Prove that they still control the GPG key associated with the
-   account, or provide proof of identify on a new GPG key, with at least
-   two signatures from other developers.
-
-Retired developers with a "disabled" account need to go through NM
+Retired developers with a "removed" account need to go through full NM
 again.
 
 .. [1]
    This is so that the message can be easily filtered by people who
    don't want to read vacation notices.
+
+.. [2]
+   Login on nm.debian.org requires an SSO browser certificate.
+   (you can generate them on https://sso.debian.org)
+   If you cannot access SSO, the recommended way of action is to
+   mail NM frontdesk using ``nm@debian.org``.
-- 
2.23.0

